about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorThomas E. Dickey <dickey@invisible-island.net>2020-09-01 08:23:58 +0000
committerThomas E. Dickey <dickey@invisible-island.net>2020-09-01 08:23:58 +0000
commit5308969168f28feb340b82be8f0417b4797f3104 (patch)
tree429f5bcb84c64cced412c7596b8bdd33500a1689
parent0d251ee2f48c17e10042b12f74a142f51ad88269 (diff)
downloadlynx-snapshots-5308969168f28feb340b82be8f0417b4797f3104.tar.gz
snapshot of project "lynx", label v2-9-0dev_5g
-rw-r--r--CHANGES4
-rw-r--r--PACKAGE/debian/compat2
-rw-r--r--aclocal.m415
-rwxr-xr-xconfigure39
-rw-r--r--configure.in5
5 files changed, 45 insertions, 20 deletions
diff --git a/CHANGES b/CHANGES
index a6502efb..287c53b6 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,9 +1,9 @@
--- $LynxId: CHANGES,v 1.1052 2020/08/28 18:35:31 tom Exp $
+-- $LynxId: CHANGES,v 1.1053 2020/09/01 08:23:58 tom Exp $
 ===============================================================================
 Changes since Lynx 2.8 release
 ===============================================================================
 
-2020-08-28 (2.9.0dev.6)
+2020-09-01 (2.9.0dev.6)
 * in configure script, filter out gcc -Werror options where they would interere
   with configure checks (report by Ryan Schmidt) -TD
 * minor formatting fixes for manual page (Debian #961080)
diff --git a/PACKAGE/debian/compat b/PACKAGE/debian/compat
index 7ed6ff82..f599e28b 100644
--- a/PACKAGE/debian/compat
+++ b/PACKAGE/debian/compat
@@ -1 +1 @@
-5
+10
diff --git a/aclocal.m4 b/aclocal.m4
index 25fd2ad8..b123efeb 100644
--- a/aclocal.m4
+++ b/aclocal.m4
@@ -1,4 +1,4 @@
-dnl $LynxId: aclocal.m4,v 1.269 2020/08/28 20:56:27 tom Exp $
+dnl $LynxId: aclocal.m4,v 1.270 2020/09/01 08:19:14 tom Exp $
 dnl Macros for auto-configure script.
 dnl by Thomas E. Dickey <dickey@invisible-island.net>
 dnl and Jim Spath <jspath@mail.bcpl.lib.md.us>
@@ -3976,6 +3976,19 @@ ifelse($1,,[
 fi
 ])
 dnl ---------------------------------------------------------------------------
+dnl CF_MERGE_EXTRA_CFLAGS version: 1 updated: 2020/09/01 04:00:32
+dnl ---------------------
+dnl CF_FIX_WARNINGS moves problematic flags into EXTRA_CFLAGS, but some scripts
+dnl may depend on being able to override that variable at build-time.  Move it
+dnl all back.
+define([CF_MERGE_EXTRA_CFLAGS],[
+if ( test "$GCC" = yes || test "$GXX" = yes )
+then
+	CF_APPEND_TEXT(CFLAGS,$EXTRA_CFLAGS)
+	EXTRA_CFLAGS=
+fi
+])
+dnl ---------------------------------------------------------------------------
 dnl CF_MIXEDCASE_FILENAMES version: 7 updated: 2015/04/12 15:39:00
 dnl ----------------------
 dnl Check if the file-system supports mixed-case filenames.  If we're able to
diff --git a/configure b/configure
index addccf35..169cd589 100755
--- a/configure
+++ b/configure
@@ -47808,6 +47808,15 @@ fi
 
 fi
 
+if ( test "$GCC" = yes || test "$GXX" = yes )
+then
+
+	test -n "$CFLAGS" && CFLAGS="$CFLAGS "
+	CFLAGS="${CFLAGS}$EXTRA_CFLAGS"
+
+	EXTRA_CFLAGS=
+fi
+
 ### Finally, build config.h and the makefiles
 test -z "$CONFIG_SHELL" && CONFIG_SHELL=/bin/sh
 
@@ -47908,7 +47917,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:47911: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:47920: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -48086,7 +48095,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:48089: error: ambiguous option: $1
+    { { echo "$as_me:48098: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -48105,7 +48114,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:48108: error: unrecognized option: $1
+  -*) { { echo "$as_me:48117: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -48158,7 +48167,7 @@ do
   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "$CONFIG_H" ) CONFIG_HEADERS="$CONFIG_HEADERS $CONFIG_H:config.hin" ;;
-  *) { { echo "$as_me:48161: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:48170: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -48512,7 +48521,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:48515: creating $ac_file" >&5
+    { echo "$as_me:48524: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -48530,7 +48539,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:48533: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:48542: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -48543,7 +48552,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:48546: error: cannot find input file: $f" >&5
+           { { echo "$as_me:48555: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -48559,7 +48568,7 @@ cat >>$CONFIG_STATUS <<\EOF
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:48562: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:48571: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -48568,7 +48577,7 @@ $ac_seen" >&2;}
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:48571: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:48580: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -48605,7 +48614,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:48608: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:48617: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -48616,7 +48625,7 @@ $ac_seen" >&2;}
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:48619: WARNING: Some variables may not be substituted:
+      { echo "$as_me:48628: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -48665,7 +48674,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:48668: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:48677: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -48676,7 +48685,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:48679: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:48688: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -48689,7 +48698,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:48692: error: cannot find input file: $f" >&5
+           { { echo "$as_me:48701: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -48807,7 +48816,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:48810: $ac_file is unchanged" >&5
+      { echo "$as_me:48819: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff --git a/configure.in b/configure.in
index 09fc61af..e5c0814b 100644
--- a/configure.in
+++ b/configure.in
@@ -1,4 +1,4 @@
-dnl $LynxId: configure.in,v 1.317 2020/08/28 19:05:45 tom Exp $
+dnl $LynxId: configure.in,v 1.318 2020/09/01 08:06:30 tom Exp $
 dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
@@ -190,6 +190,7 @@ CF_ARG_ENABLE(vertrace,
 AC_MSG_RESULT($with_vertrace)
 test $with_vertrace = yes && AC_DEFINE(LY_TRACELINE,__LINE__,[Define to __LINE__ if you want verbose trace code])
 
+CF_WITH_SCREEN_PDCURSES
 CF_ENABLE_WARNINGS
 CF_WITH_DBMALLOC
 CF_WITH_DMALLOC
@@ -1545,6 +1546,8 @@ fi
 # use rpath for libraries in unusual places
 CF_DISABLE_RPATH_HACK
 
+CF_MERGE_EXTRA_CFLAGS
+
 ### Finally, build config.h and the makefiles
 test -z "$CONFIG_SHELL" && CONFIG_SHELL=/bin/sh
 AC_SUBST(CONFIG_SHELL)